/**
 * Copyright (c) 2024 LOBA
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 * 
 * SPDX-License-Identifier: MIT
 * 
 * Contributors:
 *     [name] - [contribution]
 */

@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
@import url("https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap");
@import "../../fonts/icons/style";

$html-font-size: 16;
$font : "Lato", sans-serif;

@function rem($pxValue) {
    @return calc($pxValue/$html-font-size)+rem;
}

@import "normalize";

:root {
    --white: #fff;
    --black: #000;
    --black-op-04: rgba(0, 0, 0, 0.4);
    --black-op-06: rgba(0, 0, 0, 0.6);
    --back-color: #0C0841;
    --light-gray: #EEF1F4;
    --dark-gray: #747171;
    --border-gray: #ECECEC;
    --border-color: #241F62;
    --recent-grey-title: #707070;
    --slider-info-bg: #B8BFC6;
    --pagination-active: #7F858B;
    --cards-numbers-title: #667686;
    --cards-numbers-button: #8A9097;
    --button-grey: #CCCCCC;
    --green: #99F5D4;
    --cards-folder-background: #F7F8FA;
    --cards-background-hover: #DFE1E3;
    --tag-secondary: #FF8900;
    --tag-default: #ABA7EE;
    --tag-null: #857FE4;
    --gray-modal: #A8A8A8;
    --modal-input-border: #D9D9D9;
    --modal-search-gray: #DBDBDB;
    --modal-search-text: #9E9E9E;
    --menu-color: #ABA7EE;
    --color-default-1: #ABA7EE;
    --color-default-2: #857FE4;
    --color-hover-icon: #F7931E;
    --color-default-3: #BF5202;
    --color-default-4: #BE5001; 
    --color-default-5: #4C42CB;
    --color-default-6: #4E47C5;
    --color-default-7: #040228;
    --color-default-8: #221C71;
    --color-datable-hover: #2A2487;
    --color-data-product: #00B2FF;
    --color-artifact: #BDFF00;
    --color-term: #28FFCB;
    --color-domain: #FF0F00;
    --color-quality: #FF0F74;
    --color-glossary: #CC00FF;
    --pink: #D427FF;
    --yellow: #E2D35C;
}

body {
    width: 100%;
    margin: 0;
    padding: 0;
    font-family: $font;
    font-size: 16px;
    background-color: var(--back-color);
    color: var(--color-default-1);
}

.icon-dummy {
    display: block;
    width: 100%;
    height: 100%;
    background-color: #8e8e8ebd;
}

b, strong{
    font-weight: 600;
}